Latest 0.7.0
Homepage https://github.com/sawijaya/UIFloatPHTextField
License MIT
Platforms ios 8.0
Authors

Requirements

  • iOS 8.0+
  • Xcode 8.0+
  • Swift 3.0+

Installation

CocoaPods (Recommended)

Install CocoaPods if not already available:

$ [sudo] gem install cocoapods
$ pod setup

Go to the directory of your Xcode project, and Create and Edit your Podfile and add UIFloatPHTextField.swift to your corresponding TargetName:

$ cd /path/to/MyProject
$ touch Podfile
$ edit Podfile
source 'https://github.com/CocoaPods/Specs.git'
platform :ios, '8.0'
use_frameworks!

target 'TargetName' do
    pod 'UIFloatPHTextField.swift', '~> 0.7.0'
end

Install into your project:

$ pod install

Open your project in Xcode from the .xcworkspace file (not the usual project file):

$ open MyProject.xcworkspace

Carthage

Carthage is a decentralized dependency manager that automates the process of adding frameworks to your Cocoa application.

You can install Carthage with Homebrew using the following command:

$ brew update
$ brew install carthage

To integrate UIFloatPHTextField into your Xcode project using Carthage, specify it in your Cartfile file:

github "sawijaya/UIFloatPHTextField.swift" >= 0.7.0

Latest podspec

{
    "name": "UIFloatPHTextField",
    "version": "0.7.0",
    "summary": "Create a label from placeholder in UITextField and easy use for dropdown in UITextField",
    "description": "UIFloatPHTextField is simple ui for create placeholder replace label and base class for dropdown.",
    "homepage": "https://github.com/sawijaya/UIFloatPHTextField",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "sawijaya": "[email protected]"
    },
    "source": {
        "git": "https://github.com/sawijaya/UIFloatPHTextField.git",
        "tag": "0.7.0"
    },
    "resources": [
        "UIFloatPHTextField/Resources/Images/*.png"
    ],
    "platforms": {
        "ios": "8.0"
    },
    "source_files": [
        "UIFloatPHTextField/UIDropdownTextField.swift",
        "UIFloatPHTextField/UIFloatPHTextfield.swift",
        "UIFloatPHTextField/Fetch.swift",
        "UIFloatPHTextField/UIImage+UIFloatPHTextField.swift",
        "UIFloatPHTextField/UIImageView+UIFloatPHTextField.swift",
        "UIFloatPHTextField/Item.swift",
        "UIFloatPHTextField/DataConvertible.swift"
    ],
    "pod_target_xcconfig": {
        "SWIFT_VERSION": "3.0"
    },
    "pushed_with_swift_version": "3.0"
}

Pin It on Pinterest

Share This